CVE-2005-0976
CVSS5.0
发布时间 :2005-05-02 00:00:00
修订时间 :2008-09-05 16:47:51
NMCOS    

[原文]AppleWebKit (WebCore and WebKit), as used in multiple products such as Safari 1.2 and OmniGroup OmniWeb 5.1, allows remote attackers to read arbitrary files via the XMLHttpRequest Javascript component, as demonstrated using automatically mounted disk images and file:// URLs.


[CNNVD]Apple WebCore Framework XMLHttpRequests远程代码执行漏洞(CNNVD-200505-620)

        AppleWebKit (WebCore and WebKit)在用于多个产品如Safari 1.2和OmniGroup OmniWeb 5.1中时,远程攻击者可以通过XMLHttpRequest Javascript组件来读取任意文件,如使用自动安装的磁盘映像和文件:// URLs。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:omnigroup:omniweb:5.1
cpe:/a:apple:safari:1.2Apple Safari 1.2
cpe:/a:hmdt:shiira:0.93

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0976
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0976
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200505-620
(官方数据源) CNNVD

- 其它链接及资源

http://remahl.se/david/vuln/001/
(UNKNOWN)  MISC  http://remahl.se/david/vuln/001/
http://lists.apple.com/archives/security-announce/2005/Apr/msg00000.html
(UNKNOWN)  APPLE  APPLE-SA-2005-04-15

- 漏洞信息

Apple WebCore Framework XMLHttpRequests远程代码执行漏洞
中危 访问验证错误
2005-05-02 00:00:00 2005-10-20 00:00:00
远程  
        AppleWebKit (WebCore and WebKit)在用于多个产品如Safari 1.2和OmniGroup OmniWeb 5.1中时,远程攻击者可以通过XMLHttpRequest Javascript组件来读取任意文件,如使用自动安装的磁盘映像和文件:// URLs。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        
        Apple Safari 1.2
        Apple Safari 1.3
        http://www.apple.com/safari/download/
        Apple Safari 1.2.1
        Apple Safari 1.3
        http://www.apple.com/safari/download/
        
        Apple Safari 1.2.2
        Apple Safari 1.3
        http://www.apple.com/safari/download/
        
        Apple Safari 1.2.3
        Apple Safari 1.3
        http://www.apple.com/safari/download/

- 漏洞信息

15637
Apple Mac OS X AppleWebKit Local Domain JavaScript Execution
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

Mac OS X contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to XMLHttpRequest granting read access to any file on the system with a known path that the user has access to. This may allow an attacker to place an HTML file on the user's system, which can then be accessed to execute arbitrary code.

- 时间线

2005-04-12 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Apple has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

- 漏洞信息

Apple WebCore Framework XMLHttpRequests Remote Code Execution Vulnerability
Access Validation Error 13202
Yes No
2005-04-16 12:00:00 2009-07-12 12:56:00
David Remahl <vuln@remahl.se> is credited with the discovery of this issue.

- 受影响的程序版本

Omni Group OmniWeb 5.1
Apple Safari RSS 2.0 pre-release
Apple Safari 1.2.3
Apple Safari 1.2.2
Apple Safari 1.2.1
Apple Safari 1.2
+ Apple Mac OS X 10.3.7
+ Apple Mac OS X 10.3.7
+ Apple Mac OS X 10.3.6
+ Apple Mac OS X 10.3.6
+ Apple Mac OS X 10.3.5
+ Apple Mac OS X 10.3.5
+ Apple Mac OS X 10.3.4
+ Apple Mac OS X 10.3.4
+ Apple Mac OS X 10.3.3
+ Apple Mac OS X 10.3.3
+ Apple Mac OS X 10.3.2
+ Apple Mac OS X 10.3.2
+ Apple Mac OS X 10.3.1
+ Apple Mac OS X 10.3.1
+ Apple Mac OS X 10.3
+ Apple Mac OS X 10.3
+ Apple Mac OS X 10.2.8
+ Apple Mac OS X 10.2.8
+ Apple Mac OS X 10.2.7
+ Apple Mac OS X 10.2.7
+ Apple Mac OS X 10.2.6
+ Apple Mac OS X 10.2.6
+ Apple Mac OS X 10.2.5
+ Apple Mac OS X 10.2.5
+ Apple Mac OS X 10.2.4
+ Apple Mac OS X 10.2.4
+ Apple Mac OS X 10.2.3
+ Apple Mac OS X 10.2.3
+ Apple Mac OS X 10.2.2
+ Apple Mac OS X 10.2.2
+ Apple Mac OS X 10.2.1
+ Apple Mac OS X 10.2.1
+ Apple Mac OS X 10.2
+ Apple Mac OS X 10.2
+ Apple Mac OS X Server 10.3.7
+ Apple Mac OS X Server 10.3.6
+ Apple Mac OS X Server 10.3.6
+ Apple Mac OS X Server 10.3.5
+ Apple Mac OS X Server 10.3.5
+ Apple Mac OS X Server 10.3.4
+ Apple Mac OS X Server 10.3.4
+ Apple Mac OS X Server 10.3.3
+ Apple Mac OS X Server 10.3.3
+ Apple Mac OS X Server 10.3.2
+ Apple Mac OS X Server 10.3.2
+ Apple Mac OS X Server 10.3.1
+ Apple Mac OS X Server 10.3.1
+ Apple Mac OS X Server 10.3
+ Apple Mac OS X Server 10.3
+ Apple Mac OS X Server 10.2.8
+ Apple Mac OS X Server 10.2.8
+ Apple Mac OS X Server 10.2.7
+ Apple Mac OS X Server 10.2.7
+ Apple Mac OS X Server 10.2.6
+ Apple Mac OS X Server 10.2.6
+ Apple Mac OS X Server 10.2.5
+ Apple Mac OS X Server 10.2.5
+ Apple Mac OS X Server 10.2.4
+ Apple Mac OS X Server 10.2.4
+ Apple Mac OS X Server 10.2.3
+ Apple Mac OS X Server 10.2.3
+ Apple Mac OS X Server 10.2.2
+ Apple Mac OS X Server 10.2.2
+ Apple Mac OS X Server 10.2.1
+ Apple Mac OS X Server 10.2.1
+ Apple Mac OS X Server 10.2
+ Apple Mac OS X Server 10.2
Apple Safari 1.1
Apple Safari 1.0
+ Apple Mac OS X 10.2.8
+ Apple Mac OS X 10.2.8
+ Apple Mac OS X 10.2.7
+ Apple Mac OS X 10.2.7
+ Apple Mac OS X 10.2.6
+ Apple Mac OS X 10.2.6
+ Apple Mac OS X 10.2.5
+ Apple Mac OS X 10.2.5
+ Apple Mac OS X 10.2.4
+ Apple Mac OS X 10.2.4
+ Apple Mac OS X 10.2.3
+ Apple Mac OS X 10.2.3
+ Apple Mac OS X 10.2.2
+ Apple Mac OS X 10.2.2
+ Apple Mac OS X 10.2.1
+ Apple Mac OS X 10.2.1
+ Apple Mac OS X 10.2
+ Apple Mac OS X 10.2
+ Apple Mac OS X Server 10.2.8
+ Apple Mac OS X Server 10.2.7
+ Apple Mac OS X Server 10.2.7
+ Apple Mac OS X Server 10.2.6
+ Apple Mac OS X Server 10.2.6
+ Apple Mac OS X Server 10.2.5
+ Apple Mac OS X Server 10.2.5
+ Apple Mac OS X Server 10.2.4
+ Apple Mac OS X Server 10.2.4
+ Apple Mac OS X Server 10.2.3
+ Apple Mac OS X Server 10.2.3
+ Apple Mac OS X Server 10.2.2
+ Apple Mac OS X Server 10.2.2
+ Apple Mac OS X Server 10.2.1
+ Apple Mac OS X Server 10.2.1
+ Apple Mac OS X Server 10.2
+ Apple Mac OS X Server 10.2
Apple Safari 1.3
+ Apple Mac OS X 10.3.9

- 不受影响的程序版本

Apple Safari 1.3
+ Apple Mac OS X 10.3.9

- 漏洞讨论

A remote code execution vulnerability affects Apple's WebCore Framework. This issue is due to a failure of the affected framework library to securely handle remote scripts.

An attacker may leverage this issue to execute arbitrary code with the privileges of a user that activated the malicious remote script, facilitating unauthorized access and privilege escalation.

- 漏洞利用

A proof of concept has been provided and can be accessed at the following URI. It should be noted that this proof of concept has not been verified by Symantec.

http://remahl.se/david/vuln/001/demo.html

- 解决方案

Apple has released security advisory APPLE-SA-2005-04-15 along with fixes dealing with this issue. Please see the referenced advisory for more information.


Apple Safari 1.0

Apple Safari 1.1

Apple Safari 1.2

Apple Safari 1.2.1

Apple Safari 1.2.2

Apple Safari 1.2.3

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站